
# ValheimExpanded v0.5.0

Welcome to ValheimExpanded, hitherto referred to as ValEx.
ValEx is designed as a core mod that will become a dependency for future ValExModules.
Currently this mod is in Beta; and will, at times, feature game-breaking issues. Use at your own risk.

[UPDATE 0.5.0: All files will hereby be located in a single pack, as all content is enabled by choice.]
***

Coming Soon:
 > Complex item scaling
 > Plants and Medicines
 > Foods and Alchemizing
 > and perhaps more...!

Featuring the following;
***

- Extended Materials
 > Coins
![Coins](https://i.ibb.co/QCjDQr6/Coins.png)
 > Ingots
![Ingots](https://i.ibb.co/P1nW3yC/Ingots.png)
 > Scales
![Scales](https://i.ibb.co/NCKzKKY/Scales.png)
 > Essences
![Essences](https://i.ibb.co/X7cYZk3/Essences.png)
 > Glass
 > Sand  
![Sand and Glass](https://i.ibb.co/wgFRhqf/Sang-Glass.png)
 
***

- Building Pieces:
 > Glass ( + more, updated for H&H)
![Glass Building Pieces](https://i.ibb.co/XxjgTMD/Glass-Pieces.png)

***

- Weapon and Armor Sets have been overhauled, and generate as all other
  ValheimExpanded items do, with recipes removed to any content with
  matching names to those generated. Characters importing items should
  not lose them. Additionally, all item statistics are attached to their
  own Configuration files, allowing the user to modify their own values,
  for now. These properties are Admin-Only for servers which run it, so
  player's are restricted to the server's relevant item values. Therefore,
  the following item sets have been *added*, despite sharing Vanilla names.
  
 > Wood > Stone > Flint > Bone > Primal > Bronze > Abyssal > Iron > Ancient
 > Silver > Fang > Blackmetal > Needle > Titanium > Steel > Fromyr > Flamyr
 
 - Currently, these sets are self-scaled by the user, after Configuration
   files are generated, however there are plans to properly define both
   damages, and recipes, such that both are procedurally generated. This
   is a relatively complicated project, so progress is expected to be slow.
 
 > Crystal set is in the works...
 > Damage scaling algorithms are also being sorted out.
 
***
NOTE: This plugin may have to be run more than once to generate all its configs
	  Please be aware of your Configuration Files, as they dictate what exists.

Also includes:
- Leather Scraps recipes, through workbench.
- Flint recipes, through stonecutter.

# Update Log

Update 0.5.0
- Complete rework. Some experimentation is present.

## Installation (manual)

If you are installing this manually, do the following

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the `plugins` folder into `<YourGameDirectory>\Bepinex\plugins`.
3. Run the game.
